Subject: bug#13800: 24.3.50; About an example in "(elisp) Writing Emacs Primitives"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Feb 2013 17:05:09 +0200

> Date: Sun, 24 Feb 2013 14:55:48 +0800
> From: Xue Fuqiao <[email-masked]>
> 
> 
> In (info "(elisp) Writing Emacs Primitives"):
> 
> INTERACTIVE
>      This is an interactive specification, a string such as might be
>      used as the argument of `interactive' in a Lisp function.  In the
>      case of `or', it is 0 (a null pointer), indicating that `or'
>      cannot be called interactively.  A value of `""' indicates a
>      function that should receive no arguments when called
>      interactively.  If the value begins with a `(', the string is
>      evaluated as a Lisp form.  For examples of the last two forms, see
>      `widen' and `narrow-to-region' in `editfns.c'.
> 
> In the last sentence, neither the INTERACTIVE of the example primitive
> `widen' nor `narrow-to-region' begins with a `('.  I think
> `narrow-to-region' should be replaced by primitives like `insert-char'
> instead.

And then, a few years later, someone else will say that the same
happened with insert-char, yes?

I'd rather suggest to remove any references to the sources, as that is
a source of constant maintenance pains and inaccuracies in the docs.
Instead, I suggest to add to the manual an example of such a DEFUN
declaration.